BCE(4)

NAME
bce - Broadcom BCM4401 10/100 Ethernet device

SYNOPSIS
bce* at pci?
bmtphy* at mii?

DESCRIPTION
The bce provides support for the Broadcom BCM4401 10/100 Ethernet card.

The following media types and options (as given to ifconfig(8)) are supported:

media autoselect
    Enable autoselection of the media type and options (default).

media 100baseTX mediaopt full-duplex
    Set 100Mbps (Fast Ethernet) operation and force full-duplex mode.

media 100baseTX mediaopt half-duplex
    Set 100Mbps (Fast Ethernet) operation and force half-duplex mode.

media 10baseT mediaopt full-duplex
    Set 10Mbps operation and force full-duplex.

media 10baseT mediaopt half-duplex
    Set 10Mbps operation and force half-duplex.

If no media options are present, the bce driver places the card into autoselect mode.

SEE ALSO
arp(4), bmtphy(4), ifmedia(4), intro(4), mii(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The bce driver appeared in NetBSD 1.6.2. OpenBSD support was added in OpenBSD 3.5.

AUTHORS
-nosplit The bce driver was written by Cliff Wright <cliff@snipe444.org> and ported to OpenBSD by Nathan L. Binkert <binkertn@umich.edu>.